请教gpg

为当前最终发行版之前的所有版本提供支持
回复
earthfly
帖子: 9
注册时间: 2005-08-05 9:01
送出感谢: 0
接收感谢: 0

请教gpg

#1

帖子 earthfly » 2005-08-08 20:01

在中文快速指南里有一个“如何使用我们推荐的源?”

其中有一段是:

gpg --keyserver wwwkeys.eu.pgp.net --recv-keys 1F41B907
gpg --armor --export 1F41B907 | sudo apt-key add -
sudo apt-get update

我按照这个方法更改了设置,可是我得到了一些错误信息。现在我想回去原来的状态,问题是:如果用gpg返回原来的状态?

多谢了!
Rome was not built in one day!
earthfly
帖子: 9
注册时间: 2005-08-05 9:01
送出感谢: 0
接收感谢: 0

#2

帖子 earthfly » 2005-08-08 20:02

错误信息如下,供参考!

Failed to fetch cdrom:[Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)]/dists/hoary/main/binary-i386/Packages.gz Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Failed to fetch cdrom:[Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)]/dists/hoary/restricted/binary-i386/Packages.gz Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Reading package lists... Done
W: Couldn't stat source package list cdrom://Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407) hoary/main Packages (/var/lib/apt/lists/Ubuntu%205.04%20%5fHoary%20Hedgehog%5f%20-%20Release%20i386%20(20050407)_dists_hoary_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list cdrom://Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407) hoary/restricted Packages (/var/lib/apt/lists/Ubuntu%205.04%20%5fHoary%20Hedgehog%5f%20-%20Release%20i386%20(20050407)_dists_hoary_restricted_binary-i386_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.
Rome was not built in one day!
头像
oneleaf
论坛管理员
帖子: 10218
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 102 次

#3

帖子 oneleaf » 2005-08-08 21:42

不关那个的事,按照快速设置指南修改源,不要cdrom的源。
当净其意如虚空,远离妄想及诸取,令心所向皆无碍
earthfly
帖子: 9
注册时间: 2005-08-05 9:01
送出感谢: 0
接收感谢: 0

#4

帖子 earthfly » 2005-08-09 0:38

已经搞定,只是删除了CDrom源,就一切OK了。谢谢。
Rome was not built in one day!
头像
曼歌走天涯
帖子: 24
注册时间: 2005-10-11 14:55
送出感谢: 0
接收感谢: 0

#5

帖子 曼歌走天涯 » 2005-10-15 2:49

gpg根本连不上怎么办?
执行 gpg --keyserver wwwkeys.eu.pgp.net --recv-keys 1F41B907
提示 gpg: can't get key from keyserver: 连接超时
再执行 sudo apt-get update
最后出现
W: GPG error: http://archive.ubuntu.org.cn hoary Release: The following signatur es were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <f tpmaster@ubuntu.com>
W: GPG error: http://archive.ubuntu.org.cn hoary-security Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signi ng Key <ftpmaster@ubuntu.com>
W: GPG error: http://archive.ubuntu.org.cn hoary-updates Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signin g Key <ftpmaster@ubuntu.com>
W: GPG error: http://archive.ubuntu.org.cn hoary-backports Release: The followin g signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Sign ing Key <ftpmaster@ubuntu.com>

请问该怎么办呢?
mahj
帖子: 106
注册时间: 2005-09-12 7:28
来自: 大连
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 mahj » 2005-10-15 8:15

没用过
不过现在应该用5.10(breezy)了吧。怎么还是5.04(hoary)?
头像
曼歌走天涯
帖子: 24
注册时间: 2005-10-11 14:55
送出感谢: 0
接收感谢: 0

#7

帖子 曼歌走天涯 » 2005-10-15 11:33

mahj 写了:没用过
不过现在应该用5.10(breezy)了吧。怎么还是5.04(hoary)?

我也想知道有没有必要这么快升级,我是新手的说(也是第一次用linux),现在系统里就有很多问题没有处理好……
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#8

帖子 max0000 » 2005-10-15 16:06

breezy已是稳定版,建议升级。现在系统中的问题可能可以就此解决,尤其是有关硬件的。
回复

回到 “老旧版本支持”